# -*- encoding: utf-8 -*-
# stub: cm-backup 1.0.0 ruby lib

Gem::Specification.new do |s|
  s.name = "cm-backup".freeze
  s.version = "1.0.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Commutatus".freeze]
  s.date = "2019-08-21"
  s.description = "Cm-backup is an extension to the Backup gem. Backup is a RubyGem, written for UNIX-like operating systems, that allows you to easily perform backup operations on both your remote and local environments. It provides you with an elegant DSL in Ruby for modeling your backups. Backup has built-in support for various databases, storage protocols/services, syncers, compressors, encryptors and notifiers which you can mix and match. It was built with modularity, extensibility and simplicity in mind.".freeze
  s.email = "himanshu@commutatus.com".freeze
  s.executables = ["backup".freeze]
  s.files = ["bin/backup".freeze]
  s.homepage = "https://github.com/commutatus/cm-backup".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.0".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Provides an elegant DSL in Ruby for performing backups on UNIX-like systems.".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<CFPropertyList>.freeze, ["~> 2.3"])
    s.add_runtime_dependency(%q<addressable>.freeze, ["~> 2.3"])
    s.add_runtime_dependency(%q<atomic>.freeze, ["~> 1.1"])
    s.add_runtime_dependency(%q<aws-ses>.freeze, ["~> 0.5"])
    s.add_runtime_dependency(%q<buftok>.freeze, ["~> 0.2"])
    s.add_runtime_dependency(%q<builder>.freeze, ["~> 3.2"])
    s.add_runtime_dependency(%q<descendants_tracker>.freeze, ["~> 0.0"])
    s.add_runtime_dependency(%q<dogapi>.freeze, ["~> 1.11"])
    s.add_runtime_dependency(%q<dropbox-sdk>.freeze, ["~> 1.6"])
    s.add_runtime_dependency(%q<equalizer>.freeze, ["~> 0.0"])
    s.add_runtime_dependency(%q<excon>.freeze, ["~> 0.44"])
    s.add_runtime_dependency(%q<faraday>.freeze, ["~> 0.8"])
    s.add_runtime_dependency(%q<fission>.freeze, ["~> 0.5"])
    s.add_runtime_dependency(%q<flowdock>.freeze, ["~> 0.4"])
    s.add_runtime_dependency(%q<fog>.freeze, ["~> 1.28"])
    s.add_runtime_dependency(%q<fog-atmos>.freeze, ["~> 0.1"])
    s.add_runtime_dependency(%q<fog-aws>.freeze, ["~> 0.1"])
    s.add_runtime_dependency(%q<fog-brightbox>.freeze, ["~> 0.7"])
    s.add_runtime_dependency(%q<fog-core>.freeze, ["~> 1.29"])
    s.add_runtime_dependency(%q<fog-ecloud>.freeze, ["~> 0.0"])
    s.add_runtime_dependency(%q<fog-json>.freeze, ["~> 1.0"])
    s.add_runtime_dependency(%q<fog-profitbricks>.freeze, ["~> 0.0"])
    s.add_runtime_dependency(%q<fog-radosgw>.freeze, ["~> 0.0"])
    s.add_runtime_dependency(%q<fog-riakcs>.freeze, ["~> 0.1"])
    s.add_runtime_dependency(%q<fog-sakuracloud>.freeze, ["~> 1.0"])
    s.add_runtime_dependency(%q<fog-serverlove>.freeze, ["~> 0.1"])
    s.add_runtime_dependency(%q<fog-softlayer>.freeze, ["~> 0.4"])
    s.add_runtime_dependency(%q<fog-storm_on_demand>.freeze, ["~> 0.1"])
    s.add_runtime_dependency(%q<fog-terremark>.freeze, ["~> 0.0"])
    s.add_runtime_dependency(%q<fog-vmfusion>.freeze, ["~> 0.0"])
    s.add_runtime_dependency(%q<fog-voxel>.freeze, ["~> 0.0"])
    s.add_runtime_dependency(%q<fog-xml>.freeze, ["~> 0.1"])
    s.add_runtime_dependency(%q<formatador>.freeze, ["~> 0.2"])
    s.add_runtime_dependency(%q<hipchat>.freeze, ["~> 1.0"])
    s.add_runtime_dependency(%q<http>.freeze, ["~> 0.5"])
    s.add_runtime_dependency(%q<http_parser.rb>.freeze, ["~> 0.6"])
    s.add_runtime_dependency(%q<httparty>.freeze, ["~> 0.12"])
    s.add_runtime_dependency(%q<inflecto>.freeze, ["~> 0.0"])
    s.add_runtime_dependency(%q<ipaddress>.freeze, ["~> 0.8"])
    s.add_runtime_dependency(%q<json>.freeze, ["~> 1.8"])
    s.add_runtime_dependency(%q<mail>.freeze, ["~> 2.6"])
    s.add_runtime_dependency(%q<memoizable>.freeze, ["~> 0.4"])
    s.add_runtime_dependency(%q<mime-types>.freeze, ["~> 2.4"])
    s.add_runtime_dependency(%q<mini_portile2>.freeze, ["~> 2.3"])
    s.add_runtime_dependency(%q<multi_json>.freeze, ["~> 1.10"])
    s.add_runtime_dependency(%q<multi_xml>.freeze, ["~> 0.5"])
    s.add_runtime_dependency(%q<multipart-post>.freeze, ["~> 1.2"])
    s.add_runtime_dependency(%q<net-scp>.freeze, ["~> 1.2"])
    s.add_runtime_dependency(%q<net-sftp>.freeze, ["~> 2.1"])
    s.add_runtime_dependency(%q<net-ssh>.freeze, ["~> 3.2"])
    s.add_runtime_dependency(%q<netrc>.freeze, ["~> 0.11"])
    s.add_runtime_dependency(%q<nokogiri>.freeze, ["~> 1.8"])
    s.add_runtime_dependency(%q<open4>.freeze, ["~> 1.3"])
    s.add_runtime_dependency(%q<pagerduty>.freeze, ["~> 2.0"])
    s.add_runtime_dependency(%q<qiniu>.freeze, ["~> 6.5"])
    s.add_runtime_dependency(%q<rest-client>.freeze, ["~> 1.7"])
    s.add_runtime_dependency(%q<ruby-hmac>.freeze, ["~> 0.4"])
    s.add_runtime_dependency(%q<simple_oauth>.freeze, ["~> 0.2"])
    s.add_runtime_dependency(%q<thor>.freeze, ["~> 0.18"])
    s.add_runtime_dependency(%q<thread_safe>.freeze, ["~> 0.1"])
    s.add_runtime_dependency(%q<twitter>.freeze, ["~> 5.5"])
    s.add_runtime_dependency(%q<unf>.freeze, ["~> 0.1"])
    s.add_runtime_dependency(%q<unf_ext>.freeze, ["~> 0.0"])
    s.add_runtime_dependency(%q<xml-simple>.freeze, ["~> 1.1"])
  else
    s.add_dependency(%q<CFPropertyList>.freeze, ["~> 2.3"])
    s.add_dependency(%q<addressable>.freeze, ["~> 2.3"])
    s.add_dependency(%q<atomic>.freeze, ["~> 1.1"])
    s.add_dependency(%q<aws-ses>.freeze, ["~> 0.5"])
    s.add_dependency(%q<buftok>.freeze, ["~> 0.2"])
    s.add_dependency(%q<builder>.freeze, ["~> 3.2"])
    s.add_dependency(%q<descendants_tracker>.freeze, ["~> 0.0"])
    s.add_dependency(%q<dogapi>.freeze, ["~> 1.11"])
    s.add_dependency(%q<dropbox-sdk>.freeze, ["~> 1.6"])
    s.add_dependency(%q<equalizer>.freeze, ["~> 0.0"])
    s.add_dependency(%q<excon>.freeze, ["~> 0.44"])
    s.add_dependency(%q<faraday>.freeze, ["~> 0.8"])
    s.add_dependency(%q<fission>.freeze, ["~> 0.5"])
    s.add_dependency(%q<flowdock>.freeze, ["~> 0.4"])
    s.add_dependency(%q<fog>.freeze, ["~> 1.28"])
    s.add_dependency(%q<fog-atmos>.freeze, ["~> 0.1"])
    s.add_dependency(%q<fog-aws>.freeze, ["~> 0.1"])
    s.add_dependency(%q<fog-brightbox>.freeze, ["~> 0.7"])
    s.add_dependency(%q<fog-core>.freeze, ["~> 1.29"])
    s.add_dependency(%q<fog-ecloud>.freeze, ["~> 0.0"])
    s.add_dependency(%q<fog-json>.freeze, ["~> 1.0"])
    s.add_dependency(%q<fog-profitbricks>.freeze, ["~> 0.0"])
    s.add_dependency(%q<fog-radosgw>.freeze, ["~> 0.0"])
    s.add_dependency(%q<fog-riakcs>.freeze, ["~> 0.1"])
    s.add_dependency(%q<fog-sakuracloud>.freeze, ["~> 1.0"])
    s.add_dependency(%q<fog-serverlove>.freeze, ["~> 0.1"])
    s.add_dependency(%q<fog-softlayer>.freeze, ["~> 0.4"])
    s.add_dependency(%q<fog-storm_on_demand>.freeze, ["~> 0.1"])
    s.add_dependency(%q<fog-terremark>.freeze, ["~> 0.0"])
    s.add_dependency(%q<fog-vmfusion>.freeze, ["~> 0.0"])
    s.add_dependency(%q<fog-voxel>.freeze, ["~> 0.0"])
    s.add_dependency(%q<fog-xml>.freeze, ["~> 0.1"])
    s.add_dependency(%q<formatador>.freeze, ["~> 0.2"])
    s.add_dependency(%q<hipchat>.freeze, ["~> 1.0"])
    s.add_dependency(%q<http>.freeze, ["~> 0.5"])
    s.add_dependency(%q<http_parser.rb>.freeze, ["~> 0.6"])
    s.add_dependency(%q<httparty>.freeze, ["~> 0.12"])
    s.add_dependency(%q<inflecto>.freeze, ["~> 0.0"])
    s.add_dependency(%q<ipaddress>.freeze, ["~> 0.8"])
    s.add_dependency(%q<json>.freeze, ["~> 1.8"])
    s.add_dependency(%q<mail>.freeze, ["~> 2.6"])
    s.add_dependency(%q<memoizable>.freeze, ["~> 0.4"])
    s.add_dependency(%q<mime-types>.freeze, ["~> 2.4"])
    s.add_dependency(%q<mini_portile2>.freeze, ["~> 2.3"])
    s.add_dependency(%q<multi_json>.freeze, ["~> 1.10"])
    s.add_dependency(%q<multi_xml>.freeze, ["~> 0.5"])
    s.add_dependency(%q<multipart-post>.freeze, ["~> 1.2"])
    s.add_dependency(%q<net-scp>.freeze, ["~> 1.2"])
    s.add_dependency(%q<net-sftp>.freeze, ["~> 2.1"])
    s.add_dependency(%q<net-ssh>.freeze, ["~> 3.2"])
    s.add_dependency(%q<netrc>.freeze, ["~> 0.11"])
    s.add_dependency(%q<nokogiri>.freeze, ["~> 1.8"])
    s.add_dependency(%q<open4>.freeze, ["~> 1.3"])
    s.add_dependency(%q<pagerduty>.freeze, ["~> 2.0"])
    s.add_dependency(%q<qiniu>.freeze, ["~> 6.5"])
    s.add_dependency(%q<rest-client>.freeze, ["~> 1.7"])
    s.add_dependency(%q<ruby-hmac>.freeze, ["~> 0.4"])
    s.add_dependency(%q<simple_oauth>.freeze, ["~> 0.2"])
    s.add_dependency(%q<thor>.freeze, ["~> 0.18"])
    s.add_dependency(%q<thread_safe>.freeze, ["~> 0.1"])
    s.add_dependency(%q<twitter>.freeze, ["~> 5.5"])
    s.add_dependency(%q<unf>.freeze, ["~> 0.1"])
    s.add_dependency(%q<unf_ext>.freeze, ["~> 0.0"])
    s.add_dependency(%q<xml-simple>.freeze, ["~> 1.1"])
  end
end
